unit Principal;

interface

uses
  Windows, Registry, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, jpeg, ExtCtrls, ImgList, Buttons, ComCtrls, XPMenu;

type
  TFrmPrincipal = class(TForm)
    MainMenu1: TMainMenu;
    Aluno1: TMenuItem;
    Consulta1: TMenuItem;
    Aluno2: TMenuItem;
    N10: TMenuItem;
    ArquivoMorto1: TMenuItem;
    Sair1: TMenuItem;
    ImageList1: TImageList;
    StatusBar1: TStatusBar;
    CONFIGURAES1: TMenuItem;
    Usurios1: TMenuItem;
    Grupos1: TMenuItem;
    Tarifas1: TMenuItem;
    ConfigurarPreosnosdias1: TMenuItem;
    Gerenciamento1: TMenuItem;
    LiberarPC1: TMenuItem;
    CadastrarComputadoreseIPs1: TMenuItem;
    Produtos1: TMenuItem;
    CadastrodeProdutos1: TMenuItem;
    Produtosqueestoabaixodoestoque1: TMenuItem;
    Reposiodeestoque1: TMenuItem;
    ControledeCaixa1: TMenuItem;
    VendadeProdutos1: TMenuItem;
    BaixarContadoCliente1: TMenuItem;
    N1: TMenuItem;
    RetiradasdoCaixa1: TMenuItem;
    ReforosaoCaixa1: TMenuItem;
    N2: TMenuItem;
    FechamentoDirio1: TMenuItem;
    N3: TMenuItem;
    Consultarc1: TMenuItem;
    N4: TMenuItem;
    Consultasparacontroledosacessos1: TMenuItem;
    Timer1: TTimer;
    ContadoCliente1: TMenuItem;
    LanamentosDiversos1: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    RestaurarConexesdeAcesso1: TMenuItem;
    N7: TMenuItem;
    Bevel1: TBevel;
    function Getcomputer : string;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormShow(Sender: TObject);
    procedure Usurios1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SpeedButton7Click(Sender: TObject);
    procedure Sair1Click(Sender: TObject);
    procedure Aluno1Click(Sender: TObject);
    procedure Aluno2Click(Sender: TObject);
    procedure ArquivoMorto1Click(Sender: TObject);
    procedure ConfigurarPreosnosdias1Click(Sender: TObject);
    procedure LiberarPC1Click(Sender: TObject);
    procedure CadastrarComputadoreseIPs1Click(Sender: TObject);
    procedure CadastrodeProdutos1Click(Sender: TObject);
    procedure Produtosqueestoabaixodoestoque1Click(Sender: TObject);
    procedure Reposiodeestoque1Click(Sender: TObject);
    procedure VendadeProdutos1Click(Sender: TObject);
    procedure BaixarContadoCliente1Click(Sender: TObject);
    procedure RetiradasdoCaixa1Click(Sender: TObject);
    procedure ReforosaoCaixa1Click(Sender: TObject);
    procedure FechamentoDirio1Click(Sender: TObject);
    procedure Consultarc1Click(Sender: TObject);
    procedure Consultasparacontroledosacessos1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure LanamentosDiversos1Click(Sender: TObject);
    procedure RestaurarConexesdeAcesso1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmPrincipal: TFrmPrincipal;
  ini : string;
implementation

uses
   Funcaos, UFrmSplash, UFrmUsuarios, UFrmLogin,
   UFrmEmpresa, UFrmclientes, UFrmGrupo,
  UTarifas, UFrmGerenciamento, UFrmip, UFrmProduos, UFrmProabaixo,
  UFrmReposicao, UFrmVendas, UFrmContafinal, UFrmRetiradas, UFrmreforcos,
  UFrmfechamento, UFrmNiver, Ufrmconsultaacesso, UFrmRegistro,
  UFrmlancconta;
{$R *.DFM}

function TFrmPrincipal.Getcomputer : string;
var
Registro: TRegistry;
begin
  Registro := TRegistry.Create;
  try
  Registro.RootKey := HKEY_LOCAL_MACHINE;
  if Registro.OpenKey('\Software\Kallel\Microsoft', False) then
  begin
    Result := Registro.ReadString('EDOS');
    Registro.CloseKey;
  end;
  finally
  Registro.Free;
end;
end;

procedure TFrmPrincipal.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
If MessageDlg('Deseja encerrar aplicação Controle e Monitoração de Rede?', MtConfirmation, [mbyes, mbno], 0) = mrno then
   CanClose := False;
end;

procedure TFrmPrincipal.FormShow(Sender: TObject);
begin
   if getComputer = 'correto' then
   begin
      try
        FrmSplash:=TFrmSplash.Create(Self);
        FrmSplash.Showmodal;
      Finally
        FrmSplash.Destroy;
        FrmLogin:=TFrmLogin.Create(Self);
        FrmLogin.ShowModal;
      end
   end
   else
   begin
      try
        FrmSplash:=TFrmSplash.Create(Self);
        FrmSplash.Showmodal;
      Finally
        FrmSplash.Destroy;
        FrmRegistro:=TFrmRegistro.create(self);
        FrmRegistro.showmodal;
        FrmLogin:=TFrmLogin.Create(Self);
        FrmLogin.ShowModal;
      end
   end;
end;

procedure TFrmPrincipal.Usurios1Click(Sender: TObject);
begin
   FrmUsuarios:=TFrmUsuarios.create(self);
   FrmUsuarios.ShowModal;
end;

procedure TFrmPrincipal.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Action := CaFree;
end;

procedure TFrmPrincipal.SpeedButton7Click(Sender: TObject);
begin
   self.close;
end;

procedure TFrmPrincipal.Sair1Click(Sender: TObject);
begin
   self.close;
end;

procedure TFrmPrincipal.Aluno1Click(Sender: TObject);
begin
   FrmEmpresa := TFrmEmpresa.Create(self);
   FrmEmpresa.ShowModal;
end;

procedure TFrmPrincipal.Aluno2Click(Sender: TObject);
begin
   FrmClientes := TFrmClientes.Create(Self);
   FrmClientes.ShowModal;
end;

procedure TFrmPrincipal.ArquivoMorto1Click(Sender: TObject);
begin
   FrmGrupo := TFrmGrupo.Create(self);
   FrmGrupo.ShowModal;
end;

procedure TFrmPrincipal.ConfigurarPreosnosdias1Click(Sender: TObject);
begin
   FrmTarifas := TFrmTarifas.Create(self);
   FrmTarifas.ShowModal;
end;

procedure TFrmPrincipal.LiberarPC1Click(Sender: TObject);
begin
   ini := '';
   FrmGerenciamento := TFrmGerenciamento.Create(self);
   FrmGerenciamento.Show;
end;

procedure TFrmPrincipal.CadastrarComputadoreseIPs1Click(Sender: TObject);
begin
   FrmIP := TFrmIP.Create(self);
   FrmIP.Show;
end;

procedure TFrmPrincipal.CadastrodeProdutos1Click(Sender: TObject);
begin
   FrmProdutos := TFrmProdutos.Create(self);
   FrmProdutos.ShowModal;
end;

procedure TFrmPrincipal.Produtosqueestoabaixodoestoque1Click(
  Sender: TObject);
begin
   FrmProabaixo := TFrmProabaixo.Create(self);
   FrmProabaixo.Show;
end;

procedure TFrmPrincipal.Reposiodeestoque1Click(Sender: TObject);
begin
   FrmReposicao := TFrmReposicao.Create(self);
   FrmReposicao.ShowModal;
end;

procedure TFrmPrincipal.VendadeProdutos1Click(Sender: TObject);
begin
   FrmVendas := TFrmVendas.Create(self);
   FrmVendas.ShowModal;
end;

procedure TFrmPrincipal.BaixarContadoCliente1Click(Sender: TObject);
begin
   Frmcontafinal := Tfrmcontafinal.create(self);
   Frmcontafinal.showmodal;
end;

procedure TFrmPrincipal.RetiradasdoCaixa1Click(Sender: TObject);
begin
   FrmRetiradas := TFrmRetiradas.Create(self);
   FRmRetiradas.Showmodal;
end;

procedure TFrmPrincipal.ReforosaoCaixa1Click(Sender: TObject);
begin
   FrmReforcos := TFrmReforcos.Create(self);
   FrmReforcos.Showmodal;
end;

procedure TFrmPrincipal.FechamentoDirio1Click(Sender: TObject);
begin
   Frmfechamento := Tfrmfechamento.Create(self);
   Frmfechamento.Showmodal;
end;

procedure TFrmPrincipal.Consultarc1Click(Sender: TObject);
begin
   FrmNiver := TFrmNiver.Create(self);
   FrmNiver.Showmodal;
end;

procedure TFrmPrincipal.Consultasparacontroledosacessos1Click(
  Sender: TObject);
begin
   Frmconsultaacesso := Tfrmconsultaacesso.create(self);
   frmconsultaacesso.showmodal;
end;

procedure TFrmPrincipal.Timer1Timer(Sender: TObject);
begin
   StatusBar1.Panels[1].Text := 'Hoje dia '+DateToStr(date)+' às '+TimeToStr(Time);
end;

procedure TFrmPrincipal.LanamentosDiversos1Click(Sender: TObject);
begin
   Frmlancconta := TFrmlancconta.Create(self);
   Frmlancconta.Show;
end;

procedure TFrmPrincipal.RestaurarConexesdeAcesso1Click(Sender: TObject);
begin
   ini := 'sim';
   FrmGerenciamento := TFrmGerenciamento.Create(self);
   FrmGerenciamento.Show;
end;

end.
